Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNaming::NamingContextExt Interface Reference

`import "CosNaming.idl";`

Inheritance diagram for CosNaming::NamingContextExt:

[legend]
Collaboration diagram for CosNaming::NamingContextExt:

[legend]
List of all members.

## Public Types
typedef string | StringName
typedef string | Address
typedef string | URLString
## Public Methods
StringName | to_string (in Name n) raises (InvalidName)
Name | to_name (in StringName sn) raises (InvalidName)
URLString | to_url (in Address addr, in StringName sn) raises (InvalidAddress, InvalidName)
Object | resolve_str (in StringName n) raises (NotFound, CannotProceed, InvalidName)

## Member Typedef Documentation

typedef string CosNaming::NamingContextExt::Address

typedef string CosNaming::NamingContextExt::StringName

typedef string CosNaming::NamingContextExt::URLString

## Member Function Documentation

Object CosNaming::NamingContextExt::resolve_str | ( | in StringName | n | ) | raises (NotFound, CannotProceed, InvalidName)

Name CosNaming::NamingContextExt::to_name | ( | in StringName | sn | ) | raises (InvalidName)

StringName CosNaming::NamingContextExt::to_string | ( | in Name | n | ) | raises (InvalidName)

URLString CosNaming::NamingContextExt::to_url | ( | in Address | addr,
|  | in StringName | sn
| ) | raises (InvalidAddress, InvalidName)

The documentation for this interface was generated from the following file:

- CosNaming.idl